org.eclipse.net4j.ws

## Interface IWSNegotiationContext

- All Superinterfaces:
    INegotiationContext

      public interface IWSNegotiationContext
      extends INegotiationContext

  A `negotiation context` that is used in Websocket transport.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `INegotiationContext.Receiver`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWSConnector` | `getConnector()`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.INegotiationContext

      `getBuffer, getInfo, getReceiver, getState, setFinished, setInfo, setReceiver, setState, setUserID, transmitBuffer, waitUntilFinished`

- - ### Method Detail

    - #### getConnector

          IWSConnector getConnector()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html